import React from 'react';
import ReactDOM from 'react-dom';
import { arc } from 'd3';
//console.log(arc);
const width = 960;
const height = 500;
const hairH = 100;
const centerX = width / 2;
const centerY = (height + hairH) / 2;
const radiusY = (height - hairH) / 2;
const strokeWidth = 10;
const eyeOffsetX0 = 90;
const eyeOffsetY0 = 100;
const eyeOffsetX = 80;
const eyeOffsetY = 70;
const eyeRadius = 40;
const noseHeight = 100;
const pupilRadius = 20;
const mouthWidth = 30;
const mouthRadius = 140;
const eyeBrowseR = 160;
const eyeBrowseW = 20;

const mouthArc = arc()
  .innerRadius(mouthRadius)
  .outerRadius(mouthRadius + mouthWidth)
  .startAngle(Math.PI * 0.8)
  .endAngle(Math.PI * 1.2);

const mouthArc1 = arc()
  .innerRadius(mouthRadius + mouthWidth/2 - 1)
  .outerRadius(mouthRadius + mouthWidth/2 + 1)
  .startAngle(Math.PI * 0.8)
  .endAngle(Math.PI * 1.2);

const leftArc = arc()
  .innerRadius(eyeBrowseR)
  .outerRadius(eyeBrowseR + eyeBrowseW)
  .startAngle(Math.PI * (2.3))
  .endAngle(Math.PI * (2.1))
;

const rightArc = arc()
  .innerRadius(eyeBrowseR)
  .outerRadius(eyeBrowseR + eyeBrowseW)
  .startAngle(Math.PI * (1.7))
  .endAngle(Math.PI * (1.9));

const App = () => (
  <svg width={width} height={height}>
    <g transform={`translate(${centerX}, ${centerY})`}>
      <circle
        r={radiusY - strokeWidth / 2}
        fill="yellow"
        stroke="black"
        stroke-width={strokeWidth}
      />
      <circle
        cx={-eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius}
        fill="white"
        stroke="black"
        stroke-width={strokeWidth}
      />
      <circle
        cx={eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius}
        fill="lightblue"
        stroke="green"
        stroke-width={strokeWidth}
      />
      <circle
        cx={-eyeOffsetX}
        cy={-eyeOffsetY}
        r={pupilRadius}
      />
      <circle
        cx={eyeOffsetX}
        cy={-eyeOffsetY}
        r={pupilRadius}
      />
      <path d="M 0 -30 l 40 100 h -80 Z" 
        fill="purple" 
        fill-opacity="0.7"
        stroke="black"
        stroke-width={strokeWidth/2}
      /> 
      <g fill="grey"
         transform="rotate(-70 80 -100)">
         <path d={leftArc()}/>
      </g>
      <g fill="grey"
         transform="rotate(70 -80 -99)">
        <path d={rightArc()}
          fill="blue"
          stroke="red"
          stroke-width={strokeWidth/2}
          />
      </g>
      <g fill="white"
         transform="rotate(-180) translate(0 -260)"
        >
		    <path d={mouthArc()}
          stroke="black"
          stroke-width={strokeWidth/2}
          />
		    <path d={mouthArc1()}
          stroke="black"
          stroke-width={strokeWidth/4}
          />
      </g>>g
      <path d="M 0 -190 l 0 -100 m -25 95 l -40 -80 m 130 0 l -40 85"
        stroke="black"
        stroke-width={strokeWidth/2}
        /> 
      </g>
  </svg>
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);